<html>
<head>
<title>SOAP</title>
<script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
</head>
<body>
<div ng-app="myapp" ng-controller="studentcontroller">
<form>
Enter Sno:    <input type="text" ng-model="sno"/><br/>
Enter Name:   <input type="text" ng-model="name"/><br/>
Enter Course: <input type="text" ng-model="course"/><br/>
<input type="submit" name="btnInsert" value="Add" ng-click="insertdata()"/>
<input type="submit" name="btnUpdate" value="Update" ng-click="updatedata()"/>
<input type="submit" name="btnDelete" value="Delete" ng-click="deletedata()"/>
</form>

<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 animated fadeInUp">
			<div class="table-responsive">
				<table class="table table-bordered table-hover table-striped">
					<thead>
						<tr>
							<th width="5%">#</th>
							<th width="20%">Name</th>
							<th width="20%">Email</th>
							<th width="20%">Company Name</th>
							<th width="15%">Designation</th>
							<th width="20%">Action</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th scope="row">1</th>
							<td>Muni</td>
							<td>support[at]smarttutorials.net</td>
							<td>SmartTutorials.net</td>
							<td>Director</td>
							<td><span> Edit</span> | <span>Delete</span></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
</div>
<script>
var app = angular.module("myapp",[]);
app.controller("studentcontroller",function($scope,$http){
	$scope.insertdata = function() {
		$http.post("insert.php",{'sno':$scope.sno,'name':$scope.name,'course':$scope.course})
		.success(function(data,status,headers,config){
			console.log("Inserted Successfully!");
		});
	}
	
	//update data 
	$scope.updatedata = function() {
		$http.post("update.php",{'sno':$scope.sno,'name':$scope.name,'course':$scope.course})
		.success(function(data,status,headers,config){
			console.log("updated Successfully!");
		});
	}
	
	//delete data 
	$scope.deletedata = function() {
		$http.post("delete.php",{'sno':$scope.sno})
		.success(function(data,status,headers,config){
			console.log("deleted Successfully!");
		});
		
	}
	
	
});
 
</script>
</body>
</html>

